Package org.apache.sysds.runtime.io.cog

# Enum Class IFDTagDictionary

java.lang.Object
java.lang.Enum<IFDTagDictionary>
org.apache.sysds.runtime.io.cog.IFDTagDictionary

All Implemented Interfaces:
  `Serializable`, `Comparable<IFDTagDictionary>`, `Constable`

public enum IFDTagDictionary extends Enum<IFDTagDictionary>
Enum for mapping IFD tag values to their corresponding tag names

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Artist`
`BitsPerSample`
`CellLength`
`CellWidth`
`ColorMap`
`Compression`
`DateTime`
`ExtraSamples`
`FillOrder`
`FreeByteCounts`
`FreeOffsets`
`GDALNoData`
`GeoAsciiParamsTag`
`GeoDoubleParamsTag`
`GeoKeyDirectoryTag`
`GrayResponseCurve`
`GrayResponseUnit`
`HostComputer`
`ImageDescription`
`ImageLength`
`ImageWidth`
`Make`
`MaxSampleValue`
`MinSampleValue`
`Model`
`ModelPixelScaleTag`
`ModelTiepointTag`
`ModelTransformationTag`
`NewSubfileType`
`Orientation`
`PhotometricInterpretation`
`PlanarConfiguration`
`ResolutionUnit`
`RowsPerStrip`
`SampleFormat`
1 = unsigned integer data 2 = two's complement signed integer data 3 = IEEE floating point data [IEEE] 4 = undefined data format Has as many values as SamplesPerPixel
`SamplesPerPixel`
`Software`
`StripByteCounts`
`StripOffsets`
`Threshholding`
`TileByteCounts`
`TileLength`
`TileOffsets`
`TileWidth`
`Unknown`
`XResolution`
`YResolution`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static IFDTagDictionary`
`valueOf(int value)`
Returns the enum constant of this class with the specified name.
`static IFDTagDictionary`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IFDTagDictionary[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unknown

public static final IFDTagDictionary Unknown

### NewSubfileType

public static final IFDTagDictionary NewSubfileType

### ImageWidth

public static final IFDTagDictionary ImageWidth

### ImageLength

public static final IFDTagDictionary ImageLength

### BitsPerSample

public static final IFDTagDictionary BitsPerSample

### Compression

public static final IFDTagDictionary Compression

### PhotometricInterpretation

public static final IFDTagDictionary PhotometricInterpretation

### Threshholding

public static final IFDTagDictionary Threshholding

### CellWidth

public static final IFDTagDictionary CellWidth

### CellLength

public static final IFDTagDictionary CellLength

### FillOrder

public static final IFDTagDictionary FillOrder

### ImageDescription

public static final IFDTagDictionary ImageDescription

### Make

public static final IFDTagDictionary Make

### Model

public static final IFDTagDictionary Model

### StripOffsets

public static final IFDTagDictionary StripOffsets

### Orientation

public static final IFDTagDictionary Orientation

### SamplesPerPixel

public static final IFDTagDictionary SamplesPerPixel

### RowsPerStrip

public static final IFDTagDictionary RowsPerStrip

### StripByteCounts

public static final IFDTagDictionary StripByteCounts

### MinSampleValue

public static final IFDTagDictionary MinSampleValue

### MaxSampleValue

public static final IFDTagDictionary MaxSampleValue

### XResolution

public static final IFDTagDictionary XResolution

### YResolution

public static final IFDTagDictionary YResolution

### PlanarConfiguration

public static final IFDTagDictionary PlanarConfiguration

### FreeOffsets

public static final IFDTagDictionary FreeOffsets

### FreeByteCounts

public static final IFDTagDictionary FreeByteCounts

### GrayResponseUnit

public static final IFDTagDictionary GrayResponseUnit

### GrayResponseCurve

public static final IFDTagDictionary GrayResponseCurve

### ResolutionUnit

public static final IFDTagDictionary ResolutionUnit

### Software

public static final IFDTagDictionary Software

### DateTime

public static final IFDTagDictionary DateTime

### Artist

public static final IFDTagDictionary Artist

### HostComputer

public static final IFDTagDictionary HostComputer

### ColorMap

public static final IFDTagDictionary ColorMap

### ExtraSamples

public static final IFDTagDictionary ExtraSamples

### SampleFormat

public static final IFDTagDictionary SampleFormat
1 = unsigned integer data 2 = two's complement signed integer data 3 = IEEE floating point data [IEEE] 4 = undefined data format Has as many values as SamplesPerPixel

### TileWidth

public static final IFDTagDictionary TileWidth

### TileLength

public static final IFDTagDictionary TileLength

### TileOffsets

public static final IFDTagDictionary TileOffsets

### TileByteCounts

public static final IFDTagDictionary TileByteCounts

### GDALNoData

public static final IFDTagDictionary GDALNoData

### GeoKeyDirectoryTag

public static final IFDTagDictionary GeoKeyDirectoryTag

### GeoDoubleParamsTag

public static final IFDTagDictionary GeoDoubleParamsTag

### GeoAsciiParamsTag

public static final IFDTagDictionary GeoAsciiParamsTag

### ModelPixelScaleTag

public static final IFDTagDictionary ModelPixelScaleTag

### ModelTiepointTag

public static final IFDTagDictionary ModelTiepointTag

### ModelTransformationTag

public static final IFDTagDictionary ModelTransformationTag

## Method Details

### values

public static IFDTagDictionary[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IFDTagDictionary valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### valueOf

public static IFDTagDictionary valueOf(int value)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null